Older ICQ software vulnerable to attack

posted in: Tech 0 |
Reading Time: 1 minute

Older ICQ software vulnerable to attack

Gee and it’s not even a Microsoft product..*L* Seriously though, if you’re still using an older version, grab the new one. Or think about getting Trillian , which is what I’m using.

While you’re being careful, you want to be on the lookout for the Gigger virus. Haven’t seen it come in anywhere yet, but it never hurts to be aware.

Leave a Reply

This site uses Akismet to reduce spam. Learn how your comment data is processed.